summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2016-07-30 22:36:07 -0700
committerZac Medico <zmedico@gentoo.org>2016-07-30 22:38:55 -0700
commit83e3b34445a2420eb0c0cd70b3a368e1129fd8e0 (patch)
tree368ddcdfa3593cda58bd68a1176a8be710e83909 /dev-go
parentdev-db/freetds: new version 1.00.13. (diff)
downloadgentoo-83e3b34445a2420eb0c0cd70b3a368e1129fd8e0.tar.gz
gentoo-83e3b34445a2420eb0c0cd70b3a368e1129fd8e0.tar.bz2
gentoo-83e3b34445a2420eb0c0cd70b3a368e1129fd8e0.zip
dev-go/go-net: update 9999 ebuild for bug 589916
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/go-net/go-net-9999.ebuild16
1 files changed, 13 insertions, 3 deletions
diff --git a/dev-go/go-net/go-net-9999.ebuild b/dev-go/go-net/go-net-9999.ebuild
index 1931db445ea..f978ad47fc5 100644
--- a/dev-go/go-net/go-net-9999.ebuild
+++ b/dev-go/go-net/go-net-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -10,7 +10,7 @@ if [[ ${PV} = *9999* ]]; then
inherit golang-vcs
else
KEYWORDS="~amd64"
- EGIT_COMMIT="dfe268fd2bb5c793f4c083803609fce9806c6f80"
+ EGIT_COMMIT="b6d7b1396ec874c3b00f6c84cd4301a17c56c8ed"
SRC_URI="https://github.com/golang/net/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
inherit golang-vcs-snapshot
fi
@@ -21,7 +21,8 @@ HOMEPAGE="https://godoc.org/golang.org/x/net"
LICENSE="BSD"
SLOT="0/${PVR}"
IUSE=""
-DEPEND="dev-go/go-text:="
+DEPEND="dev-go/go-crypto:=
+ dev-go/go-text:="
RDEPEND=""
src_prepare() {
@@ -32,3 +33,12 @@ src_prepare() {
-e 's:TestNonPrivilegedPing(:_\0:' \
-i src/${EGO_SRC}/icmp/ping_test.go || die
}
+
+src_compile() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ cp -sR "$(go env GOROOT)" "${T}/goroot" || die
+ rm -rf "${T}/goroot/src/${EGO_SRC}" || die
+ rm -rf "${T}/goroot/pkg/$(go env GOOS)_$(go env GOARCH)/${EGO_SRC}" || die
+ export GOROOT="${T}/goroot"
+ golang-build_src_compile
+}